Artica sous Centos 5.5 64bits sur serveur OVH [CLOSED]

Tout ce qui concerne la petite sœur de RedHat

Artica sous Centos 5.5 64bits sur serveur OVH [CLOSED]

New postby Micknokia » Sat Oct 30, 2010 10:31 am

Bonjour,

Je sollicite une aide car je tente d'installer Artica sur une distribution nue Centos 5.5 64Bits sur un serveur chez OVH
J'ai suivi la procédure d'installation indiqué sur le site puis dans le forum mais j'ai tjs le même problème les fichiers suivant ne s’installent pas :
perl-DBD-mysql
libwpd-tools
libpaper-devel
kernel-devel
Ce qui m’empêche de poursuivre l'installation :?
Merci pour votre aide

Mick
Micknokia
 
Posts: 83
Joined: Wed Oct 27, 2010 9:29 pm
Artica servers number: 1
Linux System: CentOS
Technical skills: A newbee

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby MikeJ » Tue Nov 02, 2010 1:30 pm

Peux-tu donner des détails sur l'erreur.

Notamment les résultats des commandes :

Code: Select all
yum install kernel-devel

et ainsi de suite pour chaque package.
MikeJ
 
Posts: 56
Joined: Tue Jun 01, 2010 7:56 pm
Artica servers number: 1
Linux System: Debian
Technical skills: A Linux System Administrator

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby Micknokia » Tue Nov 02, 2010 3:29 pm

Je vais refaire une installation et lister les erreurs.
Voici la première que j'avais conservé :
Récupération de http://www.artica.fr/download/rpm/wv-1.0.0-3.i386.rpm
attention: /var/tmp/rpm-xfer.fLZOIW: Entête V3 DSA signature: NOKEY, key ID 3e13cf5b
erreur: Dépendances requises:
libglib-2.0.so.0 est nécessaire pour wv-1.0.0-3.i386
libpng12.so.0 est nécessaire pour wv-1.0.0-3.i386
libxml2.so.2 est nécessaire pour wv-1.0.0-3.i386

Elle intervient après le reboot et le lancement de /root/setup-centos et le début de l'installation de rpmforge
Micknokia
 
Posts: 83
Joined: Wed Oct 27, 2010 9:29 pm
Artica servers number: 1
Linux System: CentOS
Technical skills: A newbee

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby MikeJ » Tue Nov 02, 2010 3:52 pm

Pour la glib2, tu peux déjà commencer par un :

rpm -qa |grep glib
et voir si elle est installée.

Et un
yum install glib2
pour l'installer
MikeJ
 
Posts: 56
Joined: Tue Jun 01, 2010 7:56 pm
Artica servers number: 1
Linux System: Debian
Technical skills: A Linux System Administrator

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby Micknokia » Tue Nov 02, 2010 5:20 pm

J'ai réinstallé un OS vierge et refait la procédure d'installation comme suit:
# yum update


#wget http://elrepo.org/linux/elrepo/el6/x86_ ... noarch.rpm
wget http://elrepo.org/RPM-GPG-KEY-elrepo.org
rpm -Uvh elrepo-release-0.1-1.el6.elrepo.noarch.rpm
rpm --import RPM-GPG-KEY-elrepo.org

wget http://download.fedora.redhat.com/pub/e ... noarch.rpm
wget http://rpms.famillecollet.com/enterpris ... ease-5.rpm
wget http://rpms.famillecollet.com/RPM-GPG-KEY-remi
rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm
rpm --import RPM-GPG-KEY-remi

wget http://dl.atrpms.net/all/atrpms-package ... x86_64.rpm
wget http://ATrpms.net/RPM-GPG-KEY.atrpms
rpm -Uvh atrpms-package-config-120-3.el5.x86_64.rpm
rpm --import RPM-GPG-KEY.atrpms

wget http://packages.sw.be/rpmforge-release/ ... x86_64.rpm
wget http://dag.wieers.com/rpm/packages/RPM-GPG-KEY.dag.txt
rpm -Uvh rpmforge-release-0.5.1-1.el5.rf.x86_64.rpm
rpm --import RPM-GPG-KEY.dag.txt

puis j'ai lancé /root/setup-centos
l'installation des packtage s'est fait sauf :
libpaper-devel
kernel-devel

En faisant un yum install kernel-devel j'ai le message suivant:
# yum install kernel-devel
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* epel: mirror01.th.ifl.net
* rpmforge: fr2.rpmfind.net
Excluding Packages in global exclude list
Finished
Setting up Install Process
No package kernel-devel available.
Nothing to do


Pour yum install libpaper-devel :
# yum install libpaper-devel
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* epel: mirror01.th.ifl.net
* rpmforge: fr2.rpmfind.net
Excluding Packages in global exclude list
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package libpaper-devel.i386 0:1.1.21-1.el5.1 set to be updated
--> Processing Dependency: libpaper = 1.1.21-1.el5.1 for package: libpaper-devel
--> Processing Dependency: libpaper.so.1 for package: libpaper-devel
---> Package libpaper-devel.x86_64 0:1.1.22-1.el5.rf set to be updated
--> Running transaction check
---> Package libpaper.i386 0:1.1.21-1.el5.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
Package Arch Version Repository Size
=============================================================================================================================================================================================================================================
Installing:
libpaper-devel i386 1.1.21-1.el5.1 epel 7.8 k
libpaper-devel x86_64 1.1.22-1.el5.rf rpmforge 7.5 k
Installing for dependencies:
libpaper i386 1.1.21-1.el5.1 epel 35 k

Transaction Summary
=============================================================================================================================================================================================================================================
Install 3 Package(s)
Upgrade 0 Package(s)

Total size: 50 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
package libpaper-1.1.22-1.el5.rf.x86_64 (which is newer than libpaper-1.1.21-1.el5.1.i386) is already installed
file /usr/share/locale/cs/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/da/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/de/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/es/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/fr/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/gl/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/hu/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/it/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/ja/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/nl/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/pt_BR/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/sv/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/tr/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/uk/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64
file /usr/share/locale/vi/LC_MESSAGES/libpaper.mo from install of libpaper-1.1.21-1.el5.1.i386 conflicts with file from package libpaper-1.1.22-1.el5.rf.x86_64

Error Summary
-------------


Pour info un yum update me donne le message suivant avec un erreur :

#yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* epel: mirror01.th.ifl.net
* rpmforge: fr2.rpmfind.net
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package atrpms-repo.x86_64 0:5-3.el5 set to be updated
---> Package hddtemp.x86_64 0:0.3-0.16.beta15.el5 set to be updated
---> Package mtr.x86_64 2:0.80-1.el5.rf set to be updated
---> Package nmap.x86_64 2:5.21-1.el5.rf set to be updated
---> Package rsync.x86_64 0:3.0.7-1.el5.rf set to be updated
---> Package syslinux.x86_64 0:4.03-1.el5.rf set to be updated
--> Processing Dependency: perl(Crypt::PasswdMD5) for package: syslinux
--> Running transaction check
---> Package perl-Crypt-PasswdMD5.noarch 0:1.3-2.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
Package Arch Version Repository Size
=============================================================================================================================================================================================================================================
Installing:
atrpms-repo x86_64 5-3.el5 atrpms 6.7 k
replacing atrpms-package-config.x86_64 120-3.el5

Updating:
hddtemp x86_64 0.3-0.16.beta15.el5 epel 47 k
mtr x86_64 2:0.80-1.el5.rf rpmforge 87 k
nmap x86_64 2:5.21-1.el5.rf rpmforge 2.6 M
rsync x86_64 3.0.7-1.el5.rf rpmforge 376 k
syslinux x86_64 4.03-1.el5.rf rpmforge 2.1 M
Installing for dependencies:
perl-Crypt-PasswdMD5 noarch 1.3-2.el5 epel 9.9 k

Transaction Summary
=============================================================================================================================================================================================================================================
Install 2 Package(s)
Upgrade 5 Package(s)

Total size: 5.2 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /usr/share/man/fr/man1/nmap.1.gz from install of nmap-5.21-1.el5.rf.x86_64 conflicts with file from package man-pages-fr-2.39-4.fc6.noarch

Error Summary
Micknokia
 
Posts: 83
Joined: Wed Oct 27, 2010 9:29 pm
Artica servers number: 1
Linux System: CentOS
Technical skills: A newbee

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby admin » Tue Nov 02, 2010 10:42 pm

Excusez pour ce délai, j'étais en voyage...

Je tente de répliquer votre problème et je reviens vers vous Mecredi en fin d'APM
User avatar
admin
Site Admin
 
Posts: 11946
Joined: Wed Oct 17, 2007 7:59 am
Location: France

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby admin » Wed Nov 03, 2010 12:15 pm

J'ai reconstruit le setup-centos, re-téléchargez-le

http://www.artica.fr/download/setup-centos.tgz

au minimum pour installer Artica, il faut rpmForge
User avatar
admin
Site Admin
 
Posts: 11946
Joined: Wed Oct 17, 2007 7:59 am
Location: France

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby Micknokia » Wed Nov 03, 2010 3:12 pm

Merci pour votre disponibilité et votre réactivité :D
Je vais faire un nouvel essai ce soir.
Une question concernant Kernel-devel, est ce necessaire dans la mesure ou j'utilise le netboot ovh avec les noyau grs?
Micknokia
 
Posts: 83
Joined: Wed Oct 27, 2010 9:29 pm
Artica servers number: 1
Linux System: CentOS
Technical skills: A newbee

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby admin » Wed Nov 03, 2010 3:37 pm

kernel-devel sert à compiler certains logiciels qui demandent des fichier .h du noyau.
Il n'est pas "obligatoire" il se peut que certains logiciels ne peuvent pas s'installer à travers le centre d'installation.
Si ovh fournit les fichiers h nécéssaires à la compilation alors c'est ok.
User avatar
admin
Site Admin
 
Posts: 11946
Joined: Wed Oct 17, 2007 7:59 am
Location: France

Re: Installation Artica sous Centos 5.5 64bits sur serveur OVH

New postby Micknokia » Wed Nov 03, 2010 6:17 pm

Pour information dans le fichier /etc/yum.conf
il y a :
exclude= kernel*

ce qui empêche l'installation de kernel-devel

J'ai demandé un complément d'info auprès de OVH afin de savoir si l'installation de kernel-devel ne pose pas de problème avec le netboot.
Je vous tiendrais informé de leurs retour.
Micknokia
 
Posts: 83
Joined: Wed Oct 27, 2010 9:29 pm
Artica servers number: 1
Linux System: CentOS
Technical skills: A newbee


Return to Systèmes CentOS

Who is online

Users browsing this forum: No registered users and 1 guest

cron